# nvme-wdc-vs-device-waf(1) Manual Page

## NAME

nvme-wdc-vs-device-waf - Calculates the device write amplification factor and prints both TLC and SLC results

## SYNOPSIS

    nvme wdc vs-device-waf <device> [--output-format=<normal|json> -o <normal|json>]
                            [--namespace-id=<nsid> | -n <nsid>]

## DESCRIPTION

For the NVMe device given, calculates the device TLC and SLC write amplification factor.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0) or block device (ex: /dev/nvme0n1).

This will only work on WDC devices supporting this feature. Results for any other device are undefined.

On success it returns 0, error code otherwise.

## OPTIONS

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal, or json. Only one output format can be used at a time. Default is normal.

-n <nsid>
--namespace-id=<nsid>

  Sets the command’s nsid value to the given nsid. Defaults to 0xffffffff if not given. This option may not affect anything depending on the log page, which may or may not be specific to a namespace.

## EXAMPLES

- Has the program issue WDC vs-device-waf plugin Command :

      # nvme wdc vs-device-waf /dev/nvme0

## NVME

Part of the nvme-user suite.